_IDLTypeStub (Java SE 10 & JDK 10 )
Keywords: org.omg.CORBA._IDLTypeStub class

Module java.corba
Package org.omg.CORBA

## Class _IDLTypeStub

- java.lang.Object
- - org.omg.CORBA.portable.ObjectImpl
  - - org.omg.CORBA._IDLTypeStub

- All Implemented Interfaces:
    `Serializable`, `IDLType`, `IDLTypeOperations`, `IRObject`, `IRObjectOperations`, `Object`, `IDLEntity`

      public class _IDLTypeStub
      extends ObjectImpl
      implements IDLType

  The Stub for `IDLType`. For more information on Stub files, see "Generated Files: Stubs".

  org/omg/CORBA/_IDLTypeStub.java Generated by the IDL-to-Java compiler (portable), version "3.0" from ir.idl. 03 June 1999 11:33:44 o'clock GMT+00:00

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `_IDLTypeStub()` | Constructs a default `_IDLTypeStub` object.
    `_IDLTypeStub​(Delegate delegate)` | Constructs an `_IDLTypeStub` object initialized with the given `Delegate` object.

  - ### Method Summary

    - ### Methods declared in interface org.omg.CORBA.IDLTypeOperations

      `type`

    - ### Methods declared in interface org.omg.CORBA.IRObjectOperations

      `def_kind, destroy`

    - ### Methods declared in class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods declared in interface org.omg.CORBA.Object

      `_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

    - ### Methods declared in class org.omg.CORBA.portable.ObjectImpl

      `_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _ids, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

- - ### Constructor Detail

    - #### _IDLTypeStub

          public _IDLTypeStub()

      Constructs a default `_IDLTypeStub` object. NOTE: If the default constructor is used, the object is useless until the method `_set_delegate` has been called.

    - #### _IDLTypeStub

          public _IDLTypeStub​(Delegate delegate)

      Constructs an `_IDLTypeStub` object initialized with the given `Delegate` object.
      Parameters:
        `delegate` - a Delegate object